using UnityEngine;
using System.Collections;

public class Cheater : MonoBehaviour {

	public static bool forceDay;
	public static bool forceRain;
	public static bool forceDry;

	int timesYPressed = 0;
	public static bool cheatMode = false;

	void Update () {
		forceDay = Input.GetKey(KeyCode.Space);

		forceRain = false;
		forceDry = false;
		// if force rain or no-rain
		if (Input.GetKey(KeyCode.LeftControl)) {
			if (Input.GetKey(KeyCode.LeftShift))
				forceRain = true;
			else
				forceDry = true;
		}

		if (Input.GetKeyDown(KeyCode.Y)) {
			timesYPressed++;
			if (timesYPressed > 4)
				cheatMode = true;
		}
	}
}
